#########################
# Objevovani skupin
#########################
## a) Nejdrive vytvorime heatmapu z top100 odlisne exprimovanych genu mezi ER+ a ER-
  # Vyextrahujeme matici expresnich dat o top100 genech, vsechny vzorky:
  load("top100.rdata")
  load(file="GSE20194_MDACC_Expression.rdata")
  X2=X
  clinical2 <- read.csv("GSE20194_MDACC_Sample_Info.csv")
  
  Y <- X2[,as.character(top100)]
  dim(Y) #278 100
  
  # Zadefinujeme si barvy v heatmape:
  barvy <- colorRampPalette(c("green", "black", "red"))(15)
  
  # vykreslime heatmapu:
  heatmap(Y, col=barvy, RowSideColors=as.character(as.numeric(clinical2$ER_status)),scale="column")
  

  
## b) Pokud preneseme top100 genu z nasi analyzy do noveho datoveho souboru, dostaneme podobne shlukovani? 
  #(Jinak receno validujeme nase pozorovani)
  #Nacteme dalsi datovy soubor (TransBig) spolu s tabulkou klinickych dat. 
  load(file="TransBIG-expression.rdata")
  ls()
  clinical <- read.csv("TransBIG-Sample_info.csv")
  head(clinical)
  dim(X) #253 1052
  X_top100 <- X[,intersect(colnames(X), top100)]
  X[1:5,1:5]

  barvy <- colorRampPalette(c("green", "black", "red"))(15)

  # VVykreslime druhou heatmapu jen s 9 geny,ktere jsme v druhe matici nasli.
  heatmap(X[,intersect(colnames(X),top100)], col=barvy, RowSideColors=as.character(clinical$ER.pos.1.yes))

  # Porovname s puvodni heatmapou pokud mame jen 9 genu.
  heatmap(X2[,intersect(colnames(X),top100)], col=barvy, RowSideColors=as.character(as.numeric(clinical2$ER_status)))

  
  









